在显示不同版本号的窗口上的梨

C:\PHP>pear upgrade pear pear/pear is already installed and is the same as the released version 1.9.3 upgrade failed C:\PHP>pear -V PEAR Version: 1.9.0 PHP Version: 5.2.17 Zend Engine Version: 2.2.0 

正如你可以看到,是困惑到它正在运行的版本。 我怎样才能解决这个问题,使PEAR运行在1.9.3上?

更新

 C:\PHP>pear upgrade -f pear downloading PEAR-1.9.3.tgz ... Starting to download PEAR-1.9.3.tgz (295,774 bytes) .............................................................done: 295,774 bytes upgrade ok: channel://pear.php.net/PEAR-1.9.3 PEAR: Optional feature webinstaller available (PEAR's web-based installer) PEAR: Optional feature gtkinstaller available (PEAR's PHP-GTK-based installer) PEAR: Optional feature gtk2installer available (PEAR's PHP-GTK2-based installer) PEAR: To install optional features use "pear install pear/PEAR#featurename" C:\PHP>pear -V PEAR Version: 1.9.0 PHP Version: 5.2.17 

Solutions Collecting From Web of "在显示不同版本号的窗口上的梨"

使用梨升级-f梨

如果升级版本较新,这将强制升级

使用通道尝试给这个命令

梨升级 – 强制梨

这将更新基础梨

pear是真的位于C:\PHP或只是在你的路径? 我想,由于某种原因,有两个PEAR安装。

你有两个梨装置,并用第一个梨命令升级第二个梨。

做一个

 $ pear list pear ... script /usr/bin/pear 

这是你要执行的梨子脚本。 你正在执行另一个。 删除另一个,并设置您的PATH变量包含正确的路径。

我卸载了PHP并重新安装了一遍。 所有的问题都消失了。